# norootforbuild

%define soname			1
%define					pkg_version 1.0.21

%if 0%{?suse_version} <= 1100
%define _with_octave	0
%else
%define _with_octave	0
%endif

Name:			sndfile
Summary:		Library to Handle Various Audio File Formats
Version:		1.0.21
Release:		2.4
License:		LGPL
Group:			System/Libraries
# http://www.mega-nerd.com/libsndfile/libsndfile-%{pkg_version}.tar.gz
Source:			libsndfile-%{pkg_version}.tar.gz
Source90:		libsndfile-rpmlintrc
URL:			http://www.mega-nerd.com/libsndfile/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	alsa-devel
BuildRequires:	flac-devel
BuildRequires:	libjack-devel
BuildRequires:	libogg-devel >= 1.1.3
BuildRequires:	libvorbis-devel >= 1.2.0
BuildRequires:	sqlite-devel

%if "%{_with_octave}" == "1"
BuildRequires:	fftw3-devel
BuildRequires:	hdf5-devel
BuildRequires:	lapack
BuildRequires:	ncurses-devel
BuildRequires:	octave-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
%endif

Provides:		libsnd = %{version}
Obsoletes:		libsnd < %{version}
Provides:		libsndfile-progs = %{version}
Obsoletes:		libsndfile-progs < %{version}

# pmbs ...
%if "%{_with_octave}" == "1"
BuildRequires:	wxWidgets
%endif

%description
Libsndfile is a C library for reading and writing sound files such as
AIFF, AU, and WAV files through one standard interface.  It can
currently read/write 8, 16, 24, and 32-bit PCM files as well as 32-bit
floating point WAV files and a number of compressed formats.




Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%package -n libsndfile
Summary:	Shared libraries for libsndfile
Group:		System/Libraries
Provides:	libsndfile%{soname} = %{version}
Obsoletes:	libsndfile%{soname} < %{version}

%description -n libsndfile
Libsndfile is a C library for reading and writing sound files such as
AIFF, AU, and WAV files through one standard interface.  It can
currently read/write 8, 16, 24, and 32-bit PCM files as well as 32-bit
floating point WAV files and a number of compressed formats.

This package contains the shared libraries for package libsndfile.




Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%package -n libsndfile-devel
Summary:	Development package for the libsndfile library
Group:		Development/Libraries/C and C++
Requires:	libsndfile = %{version}-%{release}
Requires:	alsa-devel
Requires:	flac-devel
Requires:	libjack-devel
Requires:	libogg-devel >= 1.1.3
#Requires:	libvorbis-devel >= 1.2.3
%if "%{_with_octave}" == "1"
Requires:	fftw3-devel
Requires:	hdf5-devel
Requires:	lapack
Requires:	ncurses-devel
Requires:	octave-devel
Requires:	readline-devel
Requires:	zlib-devel
%endif
Requires:	sqlite-devel
#Provides:	libsndd
#Obsoletes:	libsndd
Provides:	sndfile-devel = %{version}
Obsoletes:	sndfile-devel < %{version}

%description -n libsndfile-devel
Libsndfile is a C library for reading and writing sound files such as
AIFF, AU, and WAV files through one standard interface.  It can
currently read/write 8, 16, 24, and 32-bit PCM files as well as 32-bit
floating point WAV files and a number of compressed formats.

This package contains the files needed to compile programs that use the
libsndfile library.

%package doc
Summary:	User documentation for libsndfile
Group:		Documentation/HTML

%description doc
User documentation for package libsndfile.

%if "%{_with_octave}" == "1"
%package octave
Summary:	A library to handle various audio file formats
Group:		System/Libraries
PreReq:		coreutils
Requires:	octave
Provides:	libsndfile-octave = %{version}
Obsoletes:	libsndfile-octave < %{version}

%description octave
The libsndfile is a C library for reading and writing sound files such
as AIFF, AU and WAV iles through one standard interface.  It can
currently read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit
floating point WAV files and a number of compressed formats.




Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>
%endif

%debug_package
%prep
%setup -q -n "libsndfile-%{pkg_version}"

%build
%if 0%{?suse_version} < 1110
ACLOCAL="aclocal -I M4" \
autoreconf -fiv
LIBTOOL="%{_usr}/bin/libtool" \
%endif
%configure \
%if "%{_with_octave}" == "1"
	--enable-octave \
%endif
    --enable-shared \
    --disable-static

%if 0%{?suse_version} < 1110
%__grep -rl '^LIBTOOL *= *' . | while read f; do
    %__sed -i 's|^\(LIBTOOL *= *\).*$|\1%{_usr}/bin/libtool|' "$f"
done
%endif

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall OCTAVE_DEST_ODIR="`octave-config --oct-site-dir`"

%if "%{_with_octave}" == "1"
%__mv "%{buildroot}`octave-config --oct-site-dir`/PKG_ADD" \
      "%{buildroot}`octave-config --oct-site-dir`/PKG_ADD.%{name}"
%endif

# remove binaries from examples directory
%__make -C examples distclean

%__rm -r "%{buildroot}%{_datadir}/doc/libsndfile1-dev"/*
%__rm doc/Makefile*
%__rm "%{buildroot}%{_libdir}"/*.la
%__rm -f "%{buildroot}%{_libdir}"/*.a

%post   -n libsndfile -p /sbin/ldconfig
%postun -n libsndfile -p /sbin/ldconfig

%if "%{_with_octave}" == "1"
%post octave
%__cat "%{_libdir}/octave"/*/site/oct/*/"PKG_ADD.%{name}" \
    >> "`octave-config --oct-site-dir`/PKG_ADD"

%preun octave
%__sed -i '/sndfile\.oct/d' "`octave-config --oct-site-dir`/PKG_ADD"
%endif

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/sndfile-cmp
%{_bindir}/sndfile-concat
%{_bindir}/sndfile-convert
%{_bindir}/sndfile-deinterleave
%{_bindir}/sndfile-info
%{_bindir}/sndfile-interleave
%{_bindir}/sndfile-metadata-get
%{_bindir}/sndfile-metadata-set
%{_bindir}/sndfile-play
%{_bindir}/sndfile-regtest
%doc %{_mandir}/man1/*.1*

%files -n libsndfile
%defattr(-, root, root)
%{_libdir}/libsndfile.so.%{soname}
%{_libdir}/libsndfile.so.%{soname}.*

%files -n libsndfile-devel
%defattr(-, root, root)
%doc examples
%{_libdir}/libsndfile.so
%{_includedir}/*
%{_libdir}/pkgconfig/sndfile.pc

%files doc
%defattr(-, root, root)
%doc doc/*

%if "%{_with_octave}" == "1"
%files octave
%defattr(644, root, root, 755)
%doc doc/octave.html
%{_libdir}/octave/*/site/oct/*/PKG_ADD.%{name}
%{_libdir}/octave/*/site/oct/*/sndfile.oct
%dir %{_datadir}/octave
%dir %{_datadir}/octave/site
%dir %{_datadir}/octave/site/m
%{_datadir}/octave/site/m/sndfile_load.m
%{_datadir}/octave/site/m/sndfile_play.m
%{_datadir}/octave/site/m/sndfile_save.m
%endif

%changelog
* Mon Mar 01 2010 Carsten Schoene <cs@linux-administrator.com> - 1.0.21-1
- initial import to BS
